API referenceEmails
Retrieve an attachment of a sent email
GET
/emails/{id}/attachments/{attachmentId}Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 64attachmentId*string
Length
1 <= length <= 64Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/emails/string/attachments/string"{ "id": "string", "filename": "string", "content_type": "string", "content_disposition": "attachment", "content_id": "string", "size": 0, "object": "attachment", "download_url": "string", "expires_at": "2019-08-24T14:15:22Z"}List attachments of a sent email GET
Each with a presigned download URL from your S3 bucket, valid for one hour.
Download an attachment of a sent email GET
The bytes of one attachment, with the same authentication as the listing. The attachment of a Cloudflare connection is read from your R2 bucket with the runtime token and answered as a download; an Amazon SES one redirects to a presigned S3 URL. `expires` (from the `download_url`) is checked when present.